Package org.apache.tiles.velocity.template

# Class ImportAttributeDirective

java.lang.Object
org.apache.velocity.runtime.directive.Directive
org.apache.tiles.velocity.template.ImportAttributeDirective

All Implemented Interfaces:
  `Cloneable`, `org.apache.velocity.runtime.directive.DirectiveConstants`

public class ImportAttributeDirective extends org.apache.velocity.runtime.directive.Directive

Import attribute(s) in specified context.

Import attribute(s) to requested scope. Attribute name and scope are optional. If not specified, all attributes are imported in page scope. Once imported, an attribute can be used as any other beans from jsp contexts.

- ## Field Summary

  ### Fields inherited from class org.apache.velocity.runtime.directive.Directive

  `log, rsvc`

  ### Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants

  `BLOCK, LINE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImportAttributeDirective()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `int`
  `getType()`
  `boolean`
  `render(org.apache.velocity.context.InternalContextAdapter context, Writer writer, org.apache.velocity.runtime.parser.node.Node node)`

  ### Methods inherited from class org.apache.velocity.runtime.directive.Directive

  `checkArgs, getColumn, getLine, getScopeName, getTemplate, getTemplateName, init, isScopeProvided, makeScope, postRender, preRender, setLocation, setLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImportAttributeDirective

    public ImportAttributeDirective()

- ## Method Details

  - ### getName

    public String getName()
    Specified by:
      `getName` in class `org.apache.velocity.runtime.directive.Directive`

  - ### getType

    public int getType()
    Specified by:
      `getType` in class `org.apache.velocity.runtime.directive.Directive`

  - ### render

    public boolean render(org.apache.velocity.context.InternalContextAdapter context, Writer writer, org.apache.velocity.runtime.parser.node.Node node) throws IOException
    Specified by:
      `render` in class `org.apache.velocity.runtime.directive.Directive`
    Throws:
      `IOException`